Subject: [Win95] vfork: No more processes
From: [email-masked] (Glenn Spell)

7 Dec 1998 02:05:54 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked] (Glenn Spell)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]

Congratulations to everyone on the release of B20.1.

Using Windows 95 and all versions of 'cygwin1.dll' (except the
first one that did not work on Windows 95), I have consistently
been getting page faults when building multiple subdirectories.
The build process never seems to stop at the same place. This
is happening with both the Cygnus version of make and make-3.77.

When Windows 95 forces me to close 'make' I get the bash
prompt back and I can restart make and go again.

I suspect either a bug in the fork process on Windows 95 or
a hardware problem that B19 failed to expose.

Any insights on what might be the cause of this will be
appreciated. Following is the information I have at hand.
This information is from just one occurrence that I picked
at random while running make with the debug flag.

---------------------------------------------------------------
MAKE caused an invalid page fault in
module KERNEL32.DLL at 0157:bff727f4.
Registers:
EAX=00005314 CS=0157 EIP=bff727f4 EFLGS=00010207
EBX=02553000 SS=015f ESP=0255d314 EBP=0255d35c
ECX=00000002 DS=015f ESI=0000a314 FS=3717
EDX=01373577 ES=015f EDI=815b8640 GS=0000
Bytes at CS:EIP:
66 c7 43 0a 10 00 89 5d e0 8c d7 8e d2 8b e6 2b 
Stack dump:
01378059 018f0028 815b8c84 bff7bd38 bffc1470 
00000044 815b8c84 0255d354 bff87a26 bff97b50 
00000044 bff87a33 815b8c84 02570008 02582d19 
02570008 
---------------------------------------------------------------
[main] G:\BIN\MAKE.EXE 7797 (0) sync_with_child: 
        child -317963(0xA8) died before initialization 
        with status code 0xFFFFFFFF
[main] MAKE 7797 (0) sync_with_child: *** child state 
        waiting for longjmp
make[3]: vfork: No more processes
  Failed to remake target file `sed.exe'.
 Finished dependencies of target file `all'.
Giving up on target file `all'.
make[3]: Leaving directory `/src/basic/build/sed/sed'
Got a SIGCHLD; 1 unreaped children.
Live child 0x02580878 PID 7760
Reaping losing child 0x02580878 PID 7760
make[2]: *** [all-recursive] Error 1
Removing child 0x02580878 PID 7760 from chain.
make[2]: Leaving directory `/src/basic/build/sed'
Got a SIGCHLD; 1 unreaped children.
Live child 0x0257d5c0 PID 7759
Reaping losing child 0x0257d5c0 PID 7759
make[1]: *** [all-recursive-am] Error 2
Removing child 0x0257d5c0 PID 7759 from chain.
make[1]: Leaving directory `/src/basic/build/sed'
Got a SIGCHLD; 1 unreaped children.
Live child 0x025a0e10 PID 7737
Reaping losing child 0x025a0e10 PID 7737
make: *** [all-sed] Error 2
Removing child 0x025a0e10 PID 7737 from chain.
---------------------------------------------------------------
CYGWIN_95-4.0 LOCALHOST 20.1 (0.3/1/1) 1998-12-3 
        20:39:18 i586 unknown
---------------------------------------------------------------
Cygnus Win95/NT Configuration Diagnostics
Current System Time: Sun Dec 06 17:33:45 1998

Win95 Ver 4.0 build 67306684  B

Path:	/USR/TEST/BIN
	/USR/SSH/BIN
	/HOME/GS/BIN
	/USR/LOCAL/BIN
	/USR/UCB
	/BIN
	/USR/BIN
	/CYGNUS/CYGWIN~1/H-I586~1/BIN
	//C/WINDOWS
	//C/WINDOWS/COMMAND
	/WIN/TCL/BIN
	/WIN/BIN

SysDir: C:\WINDOWS\SYSTEM
WinDir: C:\WINDOWS

CYGWIN = `noexport title strip_title glob tty 
        nobinmode nontea noreset_com envcache'
HOME = `/home/gs'
MAKE_MODE = `UNIX'
PWD = `/src/basic/build'

Use `-r' to scan registry

a:\ fd           N/A    N/A                    
c:\ hd  FAT32   2826Mb  94% CP    UN           WIN 95B
d:\ hd  FAT      250Mb 100% CP    UN           
e:\ hd  FAT      509Mb  80% CP    UN           G BACKUPS
f:\ hd  FAT      509Mb  92% CP    UN           G SOURCES
g:\ hd  FAT      509Mb  94% CP    UN           CYGWIN
q:\ cd           N/A    N/A                    

G:                    /                  native  text!=binary
F:\dev\dev-src\src    /src/dev-src/src   native  text!=binary
F:\user\user-src\src  /src/user-src/src  native  text!=binary

Found: G:\BIN\bash.exe
Found: G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\bash.exe
Found: \bin\bash.exe
Found: G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\cat.exe
Not Found: cpp (good!)
Found: G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\find.exe
Found: C:\WINDOWS\COMMAND\find.exe
Found: G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\gcc.exe
Found: G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\gdb.exe
Found: G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\ld.exe
Found: G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\ls.exe
Found: G:\BIN\make.exe
Found: G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\make.exe
Found: \bin\make.exe
Found: G:\BIN\sh.exe
Found: G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\sh.exe
Found: \bin\sh.exe

446k 1998/12/04 G:\BIN\cygwin1.dll
371k 1998/12/01 G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\cygtcl80.dll
  5k 1998/12/01 G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\cygtclpip80.dll
 10k 1998/12/01 G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\cygtclreg80.dll
600k 1998/12/01 G:\CYGNUS\CYGWIN~1\H-I586~1\BIN\cygtk80.dll
446k 1998/12/04 \bin\cygwin1.dll
Use -h to see help about each section
---------------------------------------------------------------

Thanks,		-glenn

-- 
            Glenn Spell <[email-masked]>
         Fayetteville, North Carolina, U. S. A.
  ____________________________________________________
  ... blue skies ... happy trails ... sweet dreams ...
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".